Skip to main content
GET
Get one supplier

Path Parameters

consumer_id
string<uuid>
required
supplier_id
string
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Response

Successful Response

external_reference
string | null

External identifier used to link the supplier in the accounting system with the corresponding supplier reference in your own system.

first_name
string | null

Only used when the supplier is an individual (is_company=false). Indicates the first name of the supplier.

last_name
string | null

Only used when the supplier is an individual (is_company=false). Indicates the last name of the supplier.

name
string | null

Full name or legal name of the supplier (individual or company). This is the name displayed in the accounting software.

function
string | null

Only used when the supplier is an individual (is_company=false). Indicates the function of the supplier.

is_company
boolean | null
default:true

Indicates if the supplier is an individual or a company.

company_id
string | null

Only used when the supplier is an individual (is_company=false). Indicates the id of the company linked to the supplier.

phone
string | null

Phone number of the supplier.

mobile
string | null

Mobile phone number of the supplier.

email
string | null

Email address of the supplier.

language
string | null

Language of the supplier. Format: ISO 639-1 codes.

internal_notes
string | null

Internal notes about the supplier.

website
string | null

Website of the supplier.

vat
string | null

VAT number of the supplier.

company_number
string | null

National identification number of the company.

iban
string | null

IBAN account number of the supplier. DEPRECATED see bank_accounts

bank_account
string | null

Bank account number of the supplier. DEPRECATED see bank_accounts

currency
string | null

Indicates the currency of the supplier (e.g., EUR).

active
boolean | null
default:true

Indicates if the supplier is active.

account_number
string | null

Ledger account number assigned to the supplier in the accounting system as it will appear in the official accounting export file (FEC, SIE, iXBRL, etc.).

id
string | null

Id of the supplier in the accounting software. This is the unique identifier used to reference the supplier in the system.

last_updated_on
string<date-time> | null

The last time the supplier has been updated.

addresses
AddressItemOut · object[] | null

List of addresses associated with the supplier.

third_party_account
string | null

Third party account number/code representing the client in the accounting software.

bank_accounts
BankAccountsItem · object[] | null

List of bank accounts information associated with the suppliers.